commit:     f7747138aea19138fdbf1b1a269b024044985381
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 19 01:02:31 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr 19 01:13:35 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7747138

dev-games/wfmath: port to EAPI 7, fix bashisms, ltprune--, no static libs

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-games/wfmath/wfmath-1.0.2.ebuild | 36 +++++++++++++++++++++++++++---------
 1 file changed, 27 insertions(+), 9 deletions(-)

diff --git a/dev-games/wfmath/wfmath-1.0.2.ebuild 
b/dev-games/wfmath/wfmath-1.0.2.ebuild
index b89fb83c51e..a784467255d 100644
--- a/dev-games/wfmath/wfmath-1.0.2.ebuild
+++ b/dev-games/wfmath/wfmath-1.0.2.ebuild
@@ -1,8 +1,9 @@
 # Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
-inherit ltprune
+EAPI=7
+
+inherit autotools
 
 DESCRIPTION="Worldforge math library"
 HOMEPAGE="http://www.worldforge.org/dev/eng/libraries/wfmath";
@@ -11,14 +12,26 @@ SRC_URI="mirror://sourceforge/worldforge/${P}.tar.bz2"
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 x86"
-IUSE="doc static-libs"
+IUSE="doc"
+
+BDEPEND="
+       virtual/pkgconfig
+       doc? ( app-doc/doxygen )
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.0.2-fix-bashisms.patch
+)
+
+src_prepare() {
+       default
 
-RDEPEND=""
-DEPEND="doc? ( app-doc/doxygen )
-       virtual/pkgconfig"
+       # For bashisms patch
+       eautoreconf
+}
 
 src_configure() {
-       econf $(use_enable static-libs static)
+       econf --disable-static
 }
 
 src_compile() {
@@ -28,6 +41,11 @@ src_compile() {
 
 src_install() {
        default
-       use doc && dohtml doc/html/*
-       prune_libtool_files
+
+       if use doc ; then
+               docinto html
+               dodoc doc/html/*
+       fi
+
+       find "${ED}" -type f -name '*.la' -delete || die
 }

Reply via email to